btrfs-inspect-internal(8)
=========================

NAME
----
btrfs-inspect-internal - resolve different btrfs items for debug purpose

SYNOPSIS
--------
*btrfs inspect-internal* <subcommand> <args>

DESCRIPTION
-----------
*btrfs inspect-internal* is used to resolve different items for debug purpose.

SUBCOMMAND
----------
*inode-resolve* [-v] <inode> <path>::
Resolves an <inode> in subvolume <path> to all filesystem paths.
+
`Options`
+
-v::::
verbose mode. print count of returned paths and ioctl() return value

*logical-resolve* [-Pv] [-s <bufsize>] <logical> <path>::
Resolves a <logical> address in the filesystem mounted at <path> to all inodes.
+
By default, each inode is then resolved to a file system path (similar to the
inode-resolve subcommand).
+
`Options`
+
-P::::
skip the path resolving and print the inodes instead
-v::::
verbose mode. print count of returned paths and all ioctl() return values
-s <bufsize>::::
set inode container's size.
+
This is used to increase inode container's size in case it is
not enough to read all the resolved results. The max value one can set is 64k.

*rootid* <path>::
For a given file or directory, return the containing tree root id. For a
subvolume return it's own tree id.
+
The result is undefined for the so-called empty subvolumes (identified by inode number 2).

*subvolid-resolve* <subvolid> <path>::
Get file system paths for the given subvolume ID.

EXIT STATUS
-----------
*btrfs inspect-internal* returns a zero exit status if it succeeds. Non zero is
returned in case of failure.

AVAILABILITY
------------
*btrfs* is part of btrfs-progs.
Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for
further details.

SEE ALSO
--------
`mkfs.btrfs`(8),
`btrfs-debug-tree`(8)
